﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using Telerik.Windows.Controls;

namespace RadDockingMaximizeRestore
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        private void OnClicked(object sender, RoutedEventArgs e)
        {
            var btn = sender as Button;
            var group = btn.ParentOfType<RadPaneGroup>();
            if (group != null)
            {
                var pane = group.SelectedPane;
                if (!pane.IsFloating)
                {
                    MaximizeExtensions.SetLastUsedGroup(pane, group);
                    pane.MakeFloatingDockable();
                    WindowCommands.Maximize.Execute(true, pane);

                    //go maximize
                }
            }
            else
            {
                //// its toolwindow
                var toolWindow = btn.ParentOfType<Telerik.Windows.Controls.Docking.ToolWindow>();
                var splitcontainer = toolWindow.Content as RadSplitContainer;
                var paneGroup = splitcontainer.Items[0] as RadPaneGroup;
                var pane = paneGroup.SelectedPane;
                var lastGroup = MaximizeExtensions.GetLastUsedGroup(pane);
                if (lastGroup != null)
                {
                    pane.RemoveFromParent();
                    lastGroup.Items.Add(pane);
                }
                else
                {
                    if (toolWindow.WindowState == WindowState.Maximized)
                    {
                        WindowCommands.Restore.Execute(true, pane);
                    }
                    else
                    {
                        WindowCommands.Maximize.Execute(true, pane);
                    }
                }
            }
        }
    }
}
